version: "3"
services:
  svelte:
    build: .
    container_name: website
    restart: always
    ports:
      - 3030:3000

  e2e:
    image: cypress
    build: ./e2e
    container_name: cypress
    depends_on:
      - svelte
    environment:
      - CYPRESS_baseUrl=http://svelte:3000
    env_file:
      - .env
    command: npx cypress run
    # volumes:
    #   - ./e2e/cypress:/app/cypress
    #   - ./e2e/cypress.config.js:/app/cypress.config.js
